package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.List;

/**大学对比结果 前端显示数据体 */
public class SchoolContrast {
    /** 学校主键ID */
    private Long schoolId;

    /** 学校名 *///Mall-school 学校表
    private String schoolName;

    /** 推荐等级*/
    private String level;

    /** 专业优质度*/
    private String excellent;

    /** 学校综合排名*/
    private String ranking;

    /** 城市名 *///学校表查 mall_school
    private String cityName;

    /**最低学费 *///学校招生计划表 mall_accept_plan
    private BigDecimal schoolPrice;

    /** 近三年录取最低分 *///学校专业录取数据 mall_school_accept
    private BigDecimal acceptLowest;


    /**宿舍情况 *///mall_school_introduce 学校介绍关联
    private String contentDorm;
    /**食堂情况 *///mall_school_introduce 学校介绍关联
    private String contentEatery;
    /**图书馆情况 *///mall_school_introduce 学校介绍关联
    private String contentLibrary;

    /**学风情况*/
    private String contentStudy;

    /** 保研率 *///Mall-school 学校表
    private BigDecimal postgraduateRatio;
    private String postgraduateLevel;

    /** 转专业情况 *///Mall-school 学校表
    private String changeMajorRatio;
    private String changeMajorLevel;

    /** 男女比例 *///Mall-school 学校表
    private String femaleRatio;

    /** 学科评估 */
    private String contentOne;

    /** 专业评估 */
    private String contentTwo;

    public String getContentOne() {
        return contentOne;
    }

    public void setContentOne(String contentOne) {
        this.contentOne = contentOne;
    }

    public String getContentTwo() {
        return contentTwo;
    }

    public void setContentTwo(String contentTwo) {
        this.contentTwo = contentTwo;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public BigDecimal getSchoolPrice() {
        return schoolPrice;
    }

    public String getContentStudy() {
        return contentStudy;
    }

    public void setContentStudy(String contentStudy) {
        this.contentStudy = contentStudy;
    }

    public void setSchoolPrice(BigDecimal schoolPrice) {
        this.schoolPrice = schoolPrice;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getContentDorm() {
        return contentDorm;
    }

    public void setContentDorm(String contentDorm) {
        this.contentDorm = contentDorm;
    }

    public String getContentEatery() {
        return contentEatery;
    }

    public void setContentEatery(String contentEatery) {
        this.contentEatery = contentEatery;
    }

    public String getContentLibrary() {
        return contentLibrary;
    }

    public void setContentLibrary(String contentLibrary) {
        this.contentLibrary = contentLibrary;
    }

    public BigDecimal getPostgraduateRatio() {
        return postgraduateRatio;
    }

    public void setPostgraduateRatio(BigDecimal postgraduateRatio) {
        this.postgraduateRatio = postgraduateRatio;
    }

    public String getChangeMajorRatio() {
        return changeMajorRatio;
    }

    public void setChangeMajorRatio(String changeMajorRatio) {
        this.changeMajorRatio = changeMajorRatio;
    }

    public String getFemaleRatio() {
        return femaleRatio;
    }

    public void setFemaleRatio(String femaleRatio) {
        this.femaleRatio = femaleRatio;
    }

    public String getPostgraduateLevel() {
        return postgraduateLevel;
    }

    public void setPostgraduateLevel(String postgraduateLevel) {
        this.postgraduateLevel = postgraduateLevel;
    }

    public String getChangeMajorLevel() {
        return changeMajorLevel;
    }

    public void setChangeMajorLevel(String changeMajorLevel) {
        this.changeMajorLevel = changeMajorLevel;
    }

    public String getExcellent() {
        return excellent;
    }

    public void setExcellent(String excellent) {
        this.excellent = excellent;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getRanking() {
        return ranking;
    }

    public void setRanking(String ranking) {
        this.ranking = ranking;
    }

    @Override
    public String toString() {
        return "SchoolContrast{" +
                "schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", level='" + level + '\'' +
                ", excellent='" + excellent + '\'' +
                ", cityName='" + cityName + '\'' +
                ", schoolPrice=" + schoolPrice +
                ", acceptLowest=" + acceptLowest +
                ", contentDorm='" + contentDorm + '\'' +
                ", contentEatery='" + contentEatery + '\'' +
                ", contentLibrary='" + contentLibrary + '\'' +
                ", postgraduateRatio=" + postgraduateRatio +
                ", postgraduateLevel='" + postgraduateLevel + '\'' +
                ", changeMajorRatio=" + changeMajorRatio +
                ", changeMajorLevel='" + changeMajorLevel + '\'' +
                ", femaleRatio='" + femaleRatio + '\'' +
                '}';
    }
}
